# Get user groups

Get user's groups

Endpoint: GET /authz2/v1/users/{user_id}/groups
Version: 1.0.0
Security: apiKey

## Path parameters:

  - `user_id` (string, required)
    AuthN User Id. The authn_user_id from the Get Users response.

## Query parameters:

  - `sub_groups` (boolean)
    Set to true to get a list of the user’s subgroup access. Users have access to their group’s subgroups.

## Response 200 fields (application/json):

  - `group_ids` (array)

  - `has_all_group_access` (boolean)

## Response 400 fields (application/json):

  - `status` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `code` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `error` (string)
    Either 'error' or 'errors' will be present, but not both.

  - `errors` (array)
    Either 'error' or 'errors' will be present, but not both.

  - `message` (string)

## Response 401 fields (application/json):

  - `status` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `code` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `error` (string)
    Either 'error' or 'errors' will be present, but not both.

  - `errors` (array)
    Either 'error' or 'errors' will be present, but not both.

  - `message` (string)

## Response 403 fields (application/json):

  - `status` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `code` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `error` (string)
    Either 'error' or 'errors' will be present, but not both.

  - `errors` (array)
    Either 'error' or 'errors' will be present, but not both.

  - `message` (string)


